- API-Referenz
- Domain
- Get a Domain
Get a Domain
Request
- domainIdstringrequired
Responses
OK
- authCodeobject
- expiresstring (date-time)
- valuestringrequired
- authCode2object
- expiresstring (date-time)required
- connectedbooleanrequired
- contactHashstring
- deletedbooleanrequired
- domainstring (naked-domain)required
- domainIdstring (uuid)required
- handlesobjectrequired
- adminCobject
- currentobjectrequired
- handleFieldsArray von object
- Array[
- *object
- namestringrequired
- valuestringrequired
]
- handleRefstring
- desiredobject
- handleFieldsArray von object
- Array[
- *object
- namestringrequired
- valuestringrequired
]
- handleRefstring
- ownerCobjectrequired
- currentobjectrequired
- handleFieldsArray von object
- Array[
- *object
- namestringrequired
- valuestringrequired
]
- handleRefstring
- desiredobject
- handleFieldsArray von object
- Array[
- *object
- namestringrequired
- valuestringrequired
]
- handleRefstring
- nameserversArray von string (idn-hostname)required
- Array[
- *string (idn-hostname)
]
- ownerVerificationobject
Status of the verification of the domain owner's e-mail address. If the owner does not confirm the address in time, the domain gets suspended. A domain without ownerVerification has no known state, which does not mean that the owner is verified.
- deadlinestring (date-time)
The date by which the owner has to confirm the e-mail address. pending: After the deadline the domain is suspended or, for some domains, the status changes to failed first. failed: The date on which the domain gets suspended unless the owner has confirmed the address by then. suspended: The date on which the suspension was due. Not set once the owner has verified the address.
- lastEmailSentAtstring (date-time)
When the verification e-mail was sent last.
- statusstring (einer von: pending, verified, failed, suspended)required
pending: The owner has to confirm the e-mail address until the deadline. verified: The owner has confirmed the e-mail address. failed: The owner did not confirm the e-mail address until the deadline, but the domain is not suspended yet. The owner can still prevent the suspension by confirming the address until the new deadline. Only some domains pass through this status; the others change from pending directly to suspended. suspended: The domain is suspended because the owner did not confirm the e-mail address in time. It is reactivated after the owner has confirmed the address.
- processesArray von object
- Array[
- *object
- errorstring
- lastUpdatestring (date-time)required
- processTypestring (einer von: UNSPECIFIED, REGISTER, TRANSFER, DELETE, TRANSIT, RESTORE, UPDATE, TRANSFER_OUT, OWNER_CHANGE, DECLARE_REQUESTED, CONTACT_VERIFICATION)required
- statestring (einer von: UNSPECIFIED, REQUESTED, FAILED)required
- statusstring
- statusCodestring
- transactionIdstringrequired
]
- projectIdstring (uuid)required
- scheduledDeletionDatestring (date-time)
- transferInAuthCodestring
- usesDefaultNameserverbooleanrequired
Content-Type: application/json
{
"authCode": {
"expires": "1985-10-26T01:21:00.000Z",
"value": "string"
},
"authCode2": {
"expires": "1985-10-26T01:21:00.000Z"
},
"connected": true,
"contactHash": "string",
"deleted": true,
"domain": "string",
"domainId": "f0f86186-0a5a-45b2-aa33-502777496347",
"handles": {
"adminC": {
"current": {
"handleFields": [
{
"name": "string",
"value": "string"
}
],
"handleRef": "string"
},
"desired": {
"handleFields": [
{
"name": "string",
"value": "string"
}
],
"handleRef": "string"
}
},
"ownerC": {
"current": {
"handleFields": [
{
"name": "string",
"value": "string"
}
],
"handleRef": "string"
},
"desired": {
"handleFields": [
{
"name": "string",
"value": "string"
}
],
"handleRef": "string"
}
}
},
"nameservers": [
"some-hostname.example"
],
"ownerVerification": {
"deadline": "1985-10-26T01:21:00.000Z",
"lastEmailSentAt": "1985-10-26T01:21:00.000Z",
"status": "pending"
},
"processes": [
{
"error": "string",
"lastUpdate": "1985-10-26T01:21:00.000Z",
"processType": "UNSPECIFIED",
"state": "UNSPECIFIED",
"status": "string",
"statusCode": "string",
"transactionId": "string"
}
],
"projectId": "f0f86186-0a5a-45b2-aa33-502777496347",
"scheduledDeletionDate": "1985-10-26T01:21:00.000Z",
"transferInAuthCode": "string",
"usesDefaultNameserver": true
}
{
"properties": {
"authCode": {
"properties": {
"expires": {
"format": "date-time",
"type": "string"
},
"value": {
"type": "string"
}
},
"required": [
"value"
],
"type": "object"
},
"authCode2": {
"properties": {
"expires": {
"format": "date-time",
"type": "string"
}
},
"required": [
"expires"
],
"type": "object"
},
"connected": {
"type": "boolean"
},
"contactHash": {
"type": "string"
},
"deleted": {
"type": "boolean"
},
"domain": {
"format": "naked-domain",
"type": "string"
},
"domainId": {
"format": "uuid",
"type": "string"
},
"handles": {
"properties": {
"adminC": {
"properties": {
"current": {
"properties": {
"handleFields": {
"items": {
"properties": {
"name": {
"type": "string"
},
"value": {
"pattern": "^[0-9a-zA-ZÀ-ÖØ-öø-ÿ /&()+,.@_-]+$",
"type": "string"
}
},
"required": [
"name",
"value"
],
"type": "object"
},
"type": "array"
},
"handleRef": {
"type": "string"
}
},
"type": "object"
},
"desired": {
"properties": {
"handleFields": {
"items": {
"properties": {
"name": {
"type": "string"
},
"value": {
"pattern": "^[0-9a-zA-ZÀ-ÖØ-öø-ÿ /&()+,.@_-]+$",
"type": "string"
}
},
"required": [
"name",
"value"
],
"type": "object"
},
"type": "array"
},
"handleRef": {
"type": "string"
}
},
"type": "object"
}
},
"required": [
"current"
],
"type": "object"
},
"ownerC": {
"properties": {
"current": {
"properties": {
"handleFields": {
"items": {
"properties": {
"name": {
"type": "string"
},
"value": {
"pattern": "^[0-9a-zA-ZÀ-ÖØ-öø-ÿ /&()+,.@_-]+$",
"type": "string"
}
},
"required": [
"name",
"value"
],
"type": "object"
},
"type": "array"
},
"handleRef": {
"type": "string"
}
},
"type": "object"
},
"desired": {
"properties": {
"handleFields": {
"items": {
"properties": {
"name": {
"type": "string"
},
"value": {
"pattern": "^[0-9a-zA-ZÀ-ÖØ-öø-ÿ /&()+,.@_-]+$",
"type": "string"
}
},
"required": [
"name",
"value"
],
"type": "object"
},
"type": "array"
},
"handleRef": {
"type": "string"
}
},
"type": "object"
}
},
"required": [
"current"
],
"type": "object"
}
},
"required": [
"ownerC"
],
"type": "object"
},
"nameservers": {
"items": {
"format": "idn-hostname",
"type": "string"
},
"type": "array",
"uniqueItems": true
},
"ownerVerification": {
"description": "Status of the verification of the domain owner's e-mail address. If the owner does not confirm the address in time, the domain gets suspended. A domain without ownerVerification has no known state, which does not mean that the owner is verified.",
"properties": {
"deadline": {
"description": "The date by which the owner has to confirm the e-mail address. pending: After the deadline the domain is suspended or, for some domains, the status changes to failed first. failed: The date on which the domain gets suspended unless the owner has confirmed the address by then. suspended: The date on which the suspension was due. Not set once the owner has verified the address.",
"format": "date-time",
"type": "string"
},
"lastEmailSentAt": {
"description": "When the verification e-mail was sent last.",
"format": "date-time",
"type": "string"
},
"status": {
"description": "pending: The owner has to confirm the e-mail address until the deadline. verified: The owner has confirmed the e-mail address. failed: The owner did not confirm the e-mail address until the deadline, but the domain is not suspended yet. The owner can still prevent the suspension by confirming the address until the new deadline. Only some domains pass through this status; the others change from pending directly to suspended. suspended: The domain is suspended because the owner did not confirm the e-mail address in time. It is reactivated after the owner has confirmed the address.",
"enum": [
"pending",
"verified",
"failed",
"suspended"
],
"type": "string"
}
},
"required": [
"status"
],
"type": "object"
},
"processes": {
"items": {
"properties": {
"error": {
"type": "string"
},
"lastUpdate": {
"format": "date-time",
"type": "string"
},
"processType": {
"enum": [
"UNSPECIFIED",
"REGISTER",
"TRANSFER",
"DELETE",
"TRANSIT",
"RESTORE",
"UPDATE",
"TRANSFER_OUT",
"OWNER_CHANGE",
"DECLARE_REQUESTED",
"CONTACT_VERIFICATION"
],
"type": "string"
},
"state": {
"enum": [
"UNSPECIFIED",
"REQUESTED",
"FAILED"
],
"type": "string"
},
"status": {
"type": "string"
},
"statusCode": {
"type": "string"
},
"transactionId": {
"type": "string"
}
},
"required": [
"transactionId",
"processType",
"state",
"lastUpdate"
],
"type": "object"
},
"type": "array"
},
"projectId": {
"format": "uuid",
"type": "string"
},
"scheduledDeletionDate": {
"format": "date-time",
"type": "string"
},
"transferInAuthCode": {
"type": "string"
},
"usesDefaultNameserver": {
"type": "boolean"
}
},
"required": [
"domainId",
"domain",
"projectId",
"deleted",
"nameservers",
"handles",
"connected",
"usesDefaultNameserver",
"hasAuthCode"
],
"type": "object"
}
Validation Error caused by invalid input data in the request
- type"ValidationError"required
- messagestring
- validationErrorsArray von objectrequired
- Array[
- *object
- messagestringrequired
The standard error message
- pathstringrequired
The path to the part of the data that was validated. JavaScript property access notation (e.g., ".prop[1].subProp") is used.
- typestringrequired
ajv validation error type (e.g. "format", "required", "type") or own validation error types
- contextobject
The object with the additional information about the error that can be used to create custom error messages. Keys depend on the type that failed validation (e.g. "missingProperty" for type "required")
- *string
]
Content-Type: application/json
{
"type": "ValidationError",
"message": "Validation failed",
"validationErrors": [
{
"message": "should be string",
"path": ".address.street",
"type": "format",
"context": {
"format": "email"
}
}
]
}
{
"type": "object",
"required": [
"type",
"validationErrors"
],
"properties": {
"type": {
"type": "string",
"enum": [
"ValidationError"
]
},
"message": {
"type": "string",
"example": "Validation failed"
},
"validationErrors": {
"type": "array",
"items": {
"type": "object",
"required": [
"message",
"path",
"type"
],
"properties": {
"message": {
"type": "string",
"description": "The standard error message",
"example": "should be string"
},
"path": {
"type": "string",
"description": "The path to the part of the data that was validated. JavaScript property access notation (e.g., \".prop[1].subProp\") is used.\n",
"example": ".address.street"
},
"type": {
"type": "string",
"description": "ajv validation error type (e.g. \"format\", \"required\", \"type\") or own validation error types",
"example": "format"
},
"context": {
"type": "object",
"example": {
"format": "email"
},
"description": "The object with the additional information about the error that can be used to create custom error messages. Keys depend on the\ntype that failed validation (e.g. \"missingProperty\" for type \"required\")\n",
"additionalProperties": {
"type": "string"
}
}
}
}
}
}
}
An unexpected Error that occurred while handling the request
- messagestringrequired
- typestringrequired
Content-Type: application/json
{
"message": "Something went wrong",
"type": "InternalServerError"
}
{
"type": "object",
"required": [
"type",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Something went wrong"
},
"type": {
"type": "string",
"example": "InternalServerError"
}
}
}
The requested resource was not found
- messagestringrequired
- typestringrequired
Content-Type: application/json
{
"message": "Something went wrong",
"type": "InternalServerError"
}
{
"type": "object",
"required": [
"type",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Something went wrong"
},
"type": {
"type": "string",
"example": "InternalServerError"
}
}
}
Your request ran into a rate limit. You have to wait until rate limit expires
- messagestring
- typestring
Content-Type: application/json
{
"message": "too many requests",
"type": "RateLimitError"
}
{
"type": "object",
"properties": {
"message": {
"type": "string",
"example": "too many requests"
},
"type": {
"type": "string",
"example": "RateLimitError"
}
}
}
An unexpected Error that occurred while handling the request
- messagestringrequired
- typestringrequired
Content-Type: application/json
{
"message": "Something went wrong",
"type": "InternalServerError"
}
{
"type": "object",
"required": [
"type",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Something went wrong"
},
"type": {
"type": "string",
"example": "InternalServerError"
}
}
}
Nutzungsbeispiele
$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/domains/string
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";
const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.domain.getDomain({
"domainId": "string"
});
assertStatus(response, 200);
use \Mittwald\ApiClient\Generated\V2\Clients\Domain\GetDomain\GetDomainRequest;
$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));
$request = (new GetDomainRequest(
domainId: "string"
));
$response = $client->domain()->getDomain($request);
var_dump($response->getBody();